efl_net-connman.h File Reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Macros | Functions
efl_net-connman.h File Reference

Common infrastructure to create Efl_Net_Control_Manager and Efl_Net_Session based on ConnMan connection manager. More...

## Macros
#define | DEFAULT_TIMEOUT 10000.0

## Functions
Eina_Bool | efl_net_connman_init (void)
| Should be called from inside Efl.Object.constructor before using any of connman functions.
void | efl_net_connman_shutdown (void)
| Should be called from inside Efl.Object.destructor after done using all of connman functions.
Eldbus_Connection * | efl_net_connman_connection_get (void)
| Returns the DBus connection shared by all objects.
Eldbus_Proxy * | efl_net_connman_manager_get (void)
| Returns a singleton for ConnMan's Manager object and interface (proxy).
Efl_Net_Control_Technology * | efl_net_connman_control_find_technology_by_type (Efl_Net_Control_Manager *ctl, const char *tech_type)
| Given a Efl.Net.Control find a technology instance given its name.
void | efl_net_connman_control_access_points_reload (Efl_Net_Control_Manager *ctl)
| Ask Efl.Net.Control to reload access point list.
Efl_Net_Control_Technology * | efl_net_connman_technology_new (Efl_Net_Control_Manager *parent, const char *path, Eldbus_Message_Iter *properties)
| Creates a new Efl.Net.Control.Technology child of an Efl.Net.Control with path and properties.
const char * | efl_net_connman_technology_path_get (Efl_Net_Control_Technology *tech)
| Get the path of the given technology.
Efl_Net_Control_Technology_Type | efl_net_connman_technology_type_from_str (const char *tech_type)
| Convert connman's type string to enum value.
Efl_Net_Control_Access_Point * | efl_net_connman_access_point_new (Efl_Net_Control_Manager *parent, const char *path, Eldbus_Message_Iter *properties, unsigned int priority)
| Creates a new Efl.Net.Control.Access_Point child of an Efl.Net.Control with path and properties.
const char * | efl_net_connman_access_point_path_get (Efl_Net_Control_Access_Point *ap)
| Get the path of the given access_point.
void | efl_net_connman_access_point_update (Efl_Net_Control_Manager *ap, Eldbus_Message_Iter *properties, unsigned int priority)
| Updates Efl.Net.Control.Access_Point properties.

## Detailed Description

Common infrastructure to create Efl_Net_Control_Manager and Efl_Net_Session based on ConnMan connection manager.

Note
  Each connection manager that needs shared infra should create their own file!

## Function Documentation

## ◆ efl_net_connman_init()

Eina_Bool efl_net_connman_init | ( | void |  | ) |

Should be called from inside Efl.Object.constructor before using any of connman functions.

Returns
  EINA_FALSE on errors, all other functions will be useless in this case. EINA_TRUE on success.

References EINA_FALSE, EINA_TRUE, eldbus_connection_get(), eldbus_connection_unique_name_get(), eldbus_connection_unref(), eldbus_init(), eldbus_object_get(), eldbus_object_unref(), eldbus_proxy_free_cb_add(), and eldbus_proxy_get().

## ◆ efl_net_connman_manager_get()

Eldbus_Proxy * efl_net_connman_manager_get | ( | void |  | ) |

Returns a singleton for ConnMan's Manager object and interface (proxy).

Note
  call efl_net_connman_init() before using. There is no need to eldbus_proxy_ref() it, but if done should have a matching eldbus_proxy_unref(). After done, remember to efl_net_connman_shutdown().

## ◆ efl_net_connman_technology_new()

Efl_Net_Control_Technology * efl_net_connman_technology_new | ( | Efl_Net_Control_Manager * | parent,
|  | const char * | path,
|  | Eldbus_Message_Iter * | properties
| ) |  |

Creates a new Efl.Net.Control.Technology child of an Efl.Net.Control with path and properties.

References efl_net_connman_technology_new(), EINA_SAFETY_ON_NULL_GOTO, EINA_SAFETY_ON_NULL_RETURN_VAL, eina_stringshare_add(), eldbus_message_iter_get_and_next(), eldbus_object_get(), and eldbus_proxy_get().

Referenced by efl_net_connman_technology_new().

## ◆ efl_net_connman_access_point_new()

Efl_Net_Control_Access_Point * efl_net_connman_access_point_new | ( | Efl_Net_Control_Manager * | parent,
|  | const char * | path,
|  | Eldbus_Message_Iter * | properties,
|  | unsigned int | priority
| ) |  |

Creates a new Efl.Net.Control.Access_Point child of an Efl.Net.Control with path and properties.

References efl_net_connman_access_point_new(), efl_net_connman_access_point_update(), EINA_SAFETY_ON_NULL_GOTO, EINA_SAFETY_ON_NULL_RETURN_VAL, eina_stringshare_add(), eldbus_object_get(), and eldbus_proxy_get().

Referenced by efl_net_connman_access_point_new().

## ◆ efl_net_connman_access_point_update()

void efl_net_connman_access_point_update | ( | Efl_Net_Control_Manager * | ap,
|  | Eldbus_Message_Iter * | properties,
|  | unsigned int | priority
| ) |  |

Updates Efl.Net.Control.Access_Point properties.

References efl_net_connman_access_point_update(), EINA_SAFETY_ON_NULL_RETURN, and eldbus_message_iter_get_and_next().

Referenced by efl_net_connman_access_point_new(), and efl_net_connman_access_point_update().